using Elastic.CommonSchema.Serilog;
using PARR.AIHITRelationshipsSyncer;
using PARR.AIHITRelationshipsSyncerWorker;
using Serilog;

var builder = Host.CreateApplicationBuilder();

builder.Services.AddLogging(config =>
{
    config.ClearProviders();

    var logger = new LoggerConfiguration();

    if (builder.Environment.IsProduction())
        logger.WriteTo.Console(new EcsTextFormatter());
    else
        logger.WriteTo.Console();

    logger.ReadFrom.Configuration(builder.Configuration);

    config.AddSerilog(logger.CreateLogger());
});

builder.Services.InstallAihitRelationshpsSyncerServices(builder.Configuration);
builder.Configuration.AddAihitRelationshpsSyncerConfigurations(builder.Services);
builder.Services.AddAihitRelationshpsSyncerSettings(builder.Configuration);

builder.Services.AddHostedService<Worker>();

var host = builder.Build();
host.Run();
